# class KPropsDlgPlugin | A Plugin in the Properties dialog This is an abstract class. More...
Definition | `#include <kpropsdlg.h>`
Inherits | QObject (qt) [public ]
Inherited by | KApplicationPropsPlugin, KBindingPropsPlugin, KDevicePropsPlugin, KExecPropsPlugin, KFilePermissionsPropsPlugin, KFilePropsPlugin, KURLPropsPlugin
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KPropsDlgPlugin ( KPropertiesDialog *_props )
- virtual ~KPropsDlgPlugin ()
- virtual void applyChanges ()
- void setDirty ( bool b )
- bool isDirty () const

#### Public Slots

- void setDirty ()

#### Signals

- void changed ()

#### Public Static Methods

- static bool isDesktopFile ( KFileItem * _item )

#### Protected Members

- KPropertiesDialog *properties
- int fontHeight

## Detailed Description

A Plugin in the Properties dialog This is an abstract class. You must inherit from this class to build a new kind of page.

KPropsDlgPlugin ( KPropertiesDialog *_props ) | ### KPropsDlgPlugin

Constructor To insert tabs into the properties dialog, use the add methods provided by KDialogBase (via props->dialog() )

~KPropsDlgPlugin () | ### ~KPropsDlgPlugin

[virtual]

void applyChanges () | ### applyChanges

[virtual]

Apply all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first.

bool isDesktopFile ( KFileItem * _item ) | ### isDesktopFile

[static]

Convenience method for most ::supports methods

Returns: true if the file is a local, regular, readable, desktop file

void setDirty ( bool b ) | ### setDirty

bool isDirty () | ### isDirty

[const]

void setDirty () | ### setDirty

[slot]

void changed () | ### changed

[signal]

Emit this event when the user changed anything the plugin's tabs. The hosting PropertiesDialog will call applyChanges only if the PropsPlugin emits the changed event.

KPropertiesDialog * properties | ### properties

[protected]

int fontHeight | ### fontHeight

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.